Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dojo.views.jsp.ui
Class SubmitTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.dojo.views.jsp.ui.SubmitTag

All Implemented Interfaces:
  Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.DynamicAttributes, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class SubmitTag

extends AbstractUITag

See Also:
  `Submit`, Serialized Form

Field Summary
`protected String` | `afterNotifyTopics`
`protected String` | `ajaxAfterValidation`
`protected String` | `align`
`protected String` | `beforeNotifyTopics`
`protected String` | `errorNotifyTopics`
`protected String` | `errorText`
`protected String` | `executeScripts`
`protected String` | `formFilter`
`protected String` | `formId`
`protected String` | `handler`
`protected String` | `highlightColor`
`protected String` | `highlightDuration`
`protected String` | `href`
`protected String` | `indicator`
`protected String` | `listenTopics`
`protected String` | `loadingText`
`protected String` | `method`
`protected String` | `notifyTopics`
`protected String` | `parseContent`
`protected String` | `separateScripts`
`protected String` | `showErrorTransportText`
`protected String` | `showLoadingText`
`protected String` | `src`
`protected String` | `targets`
`protected String` | `transport`
`protected String` | `type`
`protected String` | `validate`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssErrorClass, cssErrorStyle, cssStyle, disabled, dynamicAttributes, errorPosition, id, javascriptTooltip, key, label, labelposition, labelSeparator, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, requiredLabel, requiredPosition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, tooltipCssClass, tooltipDelay, tooltipIconPath, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SubmitTag()`

Method Summary
`Component` | `getBean(com.opensymphony.xwork2.util.ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`
`String` | `getType()`
`protected void` | `populateParams()`
`void` | `setAfterNotifyTopics(String afterNotifyTopics)`
`void` | `setAjaxAfterValidation(String ajaxAfterValidation)`
`void` | `setAlign(String align)`
`void` | `setBeforeNotifyTopics(String beforeNotifyTopics)`
`void` | `setErrorNotifyTopics(String errorNotifyTopics)`
`void` | `setErrorText(String errorText)`
`void` | `setExecuteScripts(String executeScripts)`
`void` | `setFormFilter(String formFilter)`
`void` | `setFormId(String formId)`
`void` | `setHandler(String handler)`
`void` | `setHighlightColor(String highlightColor)`
`void` | `setHighlightDuration(String highlightDuration)`
`void` | `setHref(String href)`
`void` | `setIndicator(String indicator)`
`void` | `setListenTopics(String listenTopics)`
`void` | `setLoadingText(String loadingText)`
`void` | `setMethod(String method)`
`void` | `setNotifyTopics(String notifyTopics)`
`void` | `setParseContent(String parseContent)`
`void` | `setSeparateScripts(String separateScripts)`
`void` | `setShowErrorTransportText(String showErrorTransportText)`
`void` | `setShowLoadingText(String showLoadingText)`
`void` | `setSrc(String src)`
`void` | `setTargets(String targets)`
`void` | `setTransport(String transport)`
`void` | `setType(String type)`
`void` | `setValidate(String validate)`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setClass, setCssClass, setCssErrorClass, setCssErrorStyle, setCssStyle, setDisabled, setDynamicAttribute, setErrorPosition, setId, setJavascriptTooltip, setKey, setLabel, setLabelposition, setLabelSeparator, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequiredLabel, setRequiredPosition, setStyle, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setTooltipCssClass, setTooltipDelay, setTooltipIconPath, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`findString, findValue, findValue, getBody, getStack, toString`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### method

    protected String method

### align

    protected String align

### type

    protected String type

### href

    protected String href

### listenTopics

    protected String listenTopics

### notifyTopics

    protected String notifyTopics

### loadingText

    protected String loadingText

### errorText

    protected String errorText

### executeScripts

    protected String executeScripts

### handler

    protected String handler

### formId

    protected String formId

### formFilter

    protected String formFilter

### src

    protected String src

### showErrorTransportText

    protected String showErrorTransportText

### indicator

    protected String indicator

### showLoadingText

    protected String showLoadingText

### targets

    protected String targets

### beforeNotifyTopics

    protected String beforeNotifyTopics

### afterNotifyTopics

    protected String afterNotifyTopics

### errorNotifyTopics

    protected String errorNotifyTopics

### highlightColor

    protected String highlightColor

### highlightDuration

    protected String highlightDuration

### validate

    protected String validate

### ajaxAfterValidation

    protected String ajaxAfterValidation

### separateScripts

    protected String separateScripts

### transport

    protected String transport

### parseContent

    protected String parseContent

Constructor Detail

### SubmitTag

    public SubmitTag()

Method Detail

### getBean

    public Component getBean(com.opensymphony.xwork2.util.ValueStack stack,
                             javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `AbstractUITag`

### setMethod

    public void setMethod(String method)

### setAlign

    public void setAlign(String align)

### getType

    public String getType()

### setType

    public void setType(String type)

### setHref

    public void setHref(String href)

### setErrorText

    public void setErrorText(String errorText)

### setLoadingText

    public void setLoadingText(String loadingText)

### setListenTopics

    public void setListenTopics(String listenTopics)

### setExecuteScripts

    public void setExecuteScripts(String executeScripts)

### setHandler

    public void setHandler(String handler)

### setFormFilter

    public void setFormFilter(String formFilter)

### setFormId

    public void setFormId(String formId)

### setSrc

    public void setSrc(String src)

### setTargets

    public void setTargets(String targets)

### setNotifyTopics

    public void setNotifyTopics(String notifyTopics)

### setShowErrorTransportText

    public void setShowErrorTransportText(String showErrorTransportText)

### setIndicator

    public void setIndicator(String indicator)

### setShowLoadingText

    public void setShowLoadingText(String showLoadingText)

### setAfterNotifyTopics

    public void setAfterNotifyTopics(String afterNotifyTopics)

### setBeforeNotifyTopics

    public void setBeforeNotifyTopics(String beforeNotifyTopics)

### setErrorNotifyTopics

    public void setErrorNotifyTopics(String errorNotifyTopics)

### setHighlightColor

    public void setHighlightColor(String highlightColor)

### setHighlightDuration

    public void setHighlightDuration(String highlightDuration)

### setValidate

    public void setValidate(String validate)

### setAjaxAfterValidation

    public void setAjaxAfterValidation(String ajaxAfterValidation)

### setSeparateScripts

    public void setSeparateScripts(String separateScripts)

### setTransport

    public void setTransport(String transport)

### setParseContent

    public void setParseContent(String parseContent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.